"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BannersBlock = void 0;
var _react = _interopRequireDefault(require("react"));
var _CoalitionCarousel = require("./../CoalitionCarousel");
var _CoalitionBanner = require("../CoalitionBanner");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const BannersBlock = _ref => {
  let {
    banners,
    gtmId,
    screen
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, banners && banners.length > 0 ? /*#__PURE__*/_react.default.createElement(_CoalitionCarousel.CoalitionCarousel, null, banners.map((item, index) => /*#__PURE__*/_react.default.createElement(_CoalitionBanner.CoalitionBanner, {
    key: index,
    item: item,
    gtmId: gtmId,
    screen: screen
  }))) : null);
};
exports.BannersBlock = BannersBlock;