"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmptyBlock = void 0;
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireDefault(require("react"));
var _utils = require("../../utils");
require("./EmptyBlock.scss");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const EmptyBlock = _ref => {
  let {
    emptyState,
    title,
    description,
    children
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "empty-block-container"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "image"
  }, (0, _utils.getImg)(emptyState)), /*#__PURE__*/_react.default.createElement("div", {
    className: "description"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "subtitle"
  }, description), children));
};
exports.EmptyBlock = EmptyBlock;